---
title: 'Document: keypress event'
slug: Web/API/Document/keypress_event
tags:
  - DOM
  - Deprecated
  - Event
  - KeyboardEvent
  - Reference
---
<div>{{APIRef}} {{deprecated_header}}</div>

<p><span class="seoSummary">The <strong><code>keypress</code></strong> event is fired when a key that produces a character value is pressed down.</span> Examples of keys that produce a character value are alphabetic, numeric, and punctuation keys. Examples of keys that don't produce a character value are modifier keys such as <kbd>Alt</kbd>, <kbd>Shift</kbd>, <kbd>Ctrl</kbd>, or <kbd>Meta</kbd>.</p>

<div class="notecard warning">
<p>Since this event has been deprecated, you should look to use <code><a href="/en-US/docs/Web/Events/beforeinput">beforeinput</a></code> or <code><a href="/en-US/docs/Web/API/Document/keydown_event">keydown</a></code> instead.</p>
</div>

<table class="properties">
 <tbody>
  <tr>
   <th>Interface</th>
   <td>{{domxref("KeyboardEvent")}}</td>
  </tr>
  <tr>
   <th>Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th>Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th>Default Action</th>
   <td>Varies: <code>keypress</code> event; launch text composition system; <code>blur</code> and <code>focus</code> events; <code>DOMActivate</code> event; other event</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<h3 id="addEventListener_keypress_example">addEventListener keypress example</h3>

<p>This example logs the {{domxref("KeyboardEvent.code")}} value whenever you press a key.</p>

<pre class="brush: html">&lt;p&gt;Press inside this IFrame first to focus it, then try pressing keys on the keyboard.&lt;/p&gt;
&lt;p id="log"&gt;&lt;/p&gt;</pre>

<pre class="brush: js">const log = document.getElementById('log');

document.addEventListener('keypress', logKey);

function logKey(e) {
  log.textContent += ` ${e.code}`;
}</pre>

<p>{{EmbedLiveSample("addEventListener_keypress_example")}}</p>

<h3 id="onkeypress_equivalent">onkeypress equivalent</h3>

<pre class="brush: js">document.onkeypress = logKey;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('UI Events', '#event-type-keypress')}}</td>
   <td>{{Spec2('UI Events')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.keypress_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("GlobalEventHandlers.onkeypress")}}</li>
 <li>The {{domxref("Element")}} interface, which the event also targets.</li>
 <li>Related events:
  <ul>
   <li><code><a href="/en-US/docs/Web/API/Document/keydown_event">keydown</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Document/keyup_event">keyup</a></code></li>
  </ul>
 </li>
</ul>
